## GtkMultiSelection GtkMultiSelection — A selection model that allows selecting multiple items |

## Functions

GtkMultiSelection * | gtk_multi_selection_new ()
GListModel * | gtk_multi_selection_get_model ()
void | gtk_multi_selection_set_model ()

## Properties

GListModel * | model | Read / Write

## Types and Values

| GtkMultiSelection

## Object Hierarchy

        GObject
        ╰── GtkMultiSelection

## Implemented Interfaces

GtkMultiSelection implements GListModel and GtkSelectionModel.

## Includes

    #include <gtk/gtk.h>

## Description

GtkMultiSelection is an implementation of the GtkSelectionModel interface that allows selecting multiple elements.

## Functions

### gtk_multi_selection_new ()

    GtkMultiSelection *
    gtk_multi_selection_new (GListModel *model);

Creates a new selection to handle `model` .

#### Parameters

model | the GListModel to manage, or `NULL`. | [allow-none][transfer full]

#### Returns

a new GtkMultiSelection.

[transfer full]

### gtk_multi_selection_get_model ()

    GListModel *
    gtk_multi_selection_get_model (GtkMultiSelection *self);

Returns the underlying model of `self` .

#### Parameters

self | a GtkMultiSelection |

#### Returns

the underlying model.

[transfer none]

### gtk_multi_selection_set_model ()

    void
    gtk_multi_selection_set_model (GtkMultiSelection *self,
                                   GListModel *model);

Sets the model that `self` should wrap. If `model` is `NULL`, `self` will be empty.

#### Parameters

self | a GtkMultiSelection |
model | A GListModel to wrap. | [allow-none]

## Types and Values

### GtkMultiSelection

    typedef struct _GtkMultiSelection GtkMultiSelection;

## Property Details

### The `“model”` property

      “model”                    GListModel *

The list managed by this selection

Owner: GtkMultiSelection

Flags: Read / Write

## See Also

GtkSelectionModel